using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PersistentObjects : MonoBehaviour
{
    public static PersistentObjects instance;

    void Awake ()
    {
        if (!instance)
        {
            instance = this;
        }
        DontDestroyOnLoad(this);
    }

    void OnDestroy ()
    {
        if (instance == this)
        {
            instance = null;
        }
    }
}
